Skip to navigation

✨ Publish a saved interface version

Authentication

AuthorizationToken

The token (or API key) must be passed as a request header. You can find your user token on the User Account page in Label Studio. Example:

curl https://label-studio-host/api/projects -H “Authorization: Token [your-token]”

Path parameters

idintegerRequired
A unique integer value identifying this interface.

Request

This endpoint expects an object.
version_idintegerRequired>=0
Stable interface version ID.

Response

can_editbooleanRead-only

Whether the current user can change this interface: edit, delete, publish versions or move it.

codestring
JSX source code for the interface screen module
compiledstring
created_atdatetimeRead-only
created_byobject
A ModelSerializer that takes additional arguments for "fields", "omit" and "expand" in order to control which fields are displayed, and whether to replace simple values with complex, nested serializations
idintegerRead-only
is_systembooleanRead-only

HumanSignal-provided system template visible to all organizations

projects_countintegerRead-onlyDefaults to 0
titlestring<=500 characters
updated_atdatetimeRead-only
artifactsanyOptional

AI-produced code snapshots for session continuity

data_sampleanyOptional
Sample task data for preview
descriptionstringOptional
input_schemaanyOptional
JSON Schema declaring expected task data field types for import validation
messagesanyOptional
Chat conversation history
metadataany or nullOptional
Arbitrary metadata for this interface
output_schemaanyOptional

JSON Schema declaring the annotation output fields this interface produces (for Prompter/auto-labeling)

scenariosstring or nullOptional
versionsanyOptional
Code version history
workspaceinteger or nullOptional